-- 基础信息
base_info = {
	group_id = 111102070
}

-- DEFS_MISCS
local slots =
{
     [1] = {slot_configID = 70002, worktop_configID = 70003},
     [2] = {slot_configID = 70004, worktop_configID = 70005}
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	{ config_id = 70001, gadget_id = 70290440, pos = { x = 1216.368, y = 313.897, z = -1808.490 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 70002, gadget_id = 70290429, pos = { x = 1212.748, y = 313.904, z = -1806.302 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, persistent = true },
	{ config_id = 70003, gadget_id = 70360001, pos = { x = 1212.748, y = 313.904, z = -1806.302 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 70004, gadget_id = 70290430, pos = { x = 1214.642, y = 313.709, z = -1803.149 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, persistent = true },
	{ config_id = 70005, gadget_id = 70360001, pos = { x = 1214.642, y = 313.709, z = -1803.149 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 70006, gadget_id = 70290441, pos = { x = 1216.132, y = 314.074, z = -1809.117 }, rot = { x = 0.000, y = 0.485, z = 0.000 }, level = 1 },
	{ config_id = 70007, gadget_id = 70290442, pos = { x = 1218.667, y = 314.074, z = -1809.271 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 70008, gadget_id = 70290448, pos = { x = 1214.144, y = 314.074, z = -1807.834 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 70009, gadget_id = 70290443, pos = { x = 1218.424, y = 314.074, z = -1807.702 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 70010, gadget_id = 70290444, pos = { x = 1217.313, y = 314.074, z = -1807.545 }, rot = { x = 0.000, y = 88.503, z = 0.000 }, level = 1 },
	{ config_id = 70011, gadget_id = 70290445, pos = { x = 1218.806, y = 314.074, z = -1806.854 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 70012, gadget_id = 70290429, pos = { x = 1218.065, y = 314.074, z = -1806.650 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, persistent = true },
	{ config_id = 70013, gadget_id = 70290430, pos = { x = 1215.524, y = 314.074, z = -1806.418 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, persistent = true }
}

-- 区域
regions = {
}

-- 触发器
triggers = {
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { 70001, 70006, 70007, 70008, 70009, 70010, 70011, 70012, 70013 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 2,
		-- description = ,
		monsters = { },
		gadgets = { 70002, 70003, 70004, 70005 },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V3_0/Activity_GravenCarve"
